Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.comment
Class CommentEvent

    java.lang.Object
      java.util.EventObject
          net.sourceforge.pebble.api.event.PebbleEvent
              net.sourceforge.pebble.api.event.comment.CommentEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CommentEvent

extends PebbleEvent

Event to signify that a comment has been added/removed.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static int` | `COMMENT_ADDED` constant representing comment added type
`static int` | `COMMENT_APPROVED` constant representing comment approved type
`static int` | `COMMENT_REJECTED` constant representing comment rejected type
`static int` | `COMMENT_REMOVED` constant representing comment removed type

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CommentEvent(Comment comment, int type)` Creates a new instance with the specified source and type.

Method Summary
`Comment` | `getComment()` Gets the Comment that is the source of this event.

Methods inherited from class net.sourceforge.pebble.api.event.PebbleEvent
`getType, isVetoed, toString, veto`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMENT_ADDED

    public static final int COMMENT_ADDED

  constant representing comment added type

  See Also:
    Constant Field Values

### COMMENT_REMOVED

    public static final int COMMENT_REMOVED

  constant representing comment removed type

  See Also:
    Constant Field Values

### COMMENT_APPROVED

    public static final int COMMENT_APPROVED

  constant representing comment approved type

  See Also:
    Constant Field Values

### COMMENT_REJECTED

    public static final int COMMENT_REJECTED

  constant representing comment rejected type

  See Also:
    Constant Field Values

Constructor Detail

### CommentEvent

    public CommentEvent(Comment comment,
                        int type)

  Creates a new instance with the specified source and type.

  Parameters:
    `comment` - the comment that initiated this event
    `type` - the type of this event

Method Detail

### getComment

    public Comment getComment()

  Gets the Comment that is the source of this event.

  Returns:
    a Comment instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.